Imported Upstream version 2.3.1
[platform/upstream/harfbuzz.git] / test / shaping / data / aots / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/classdef1_empty.tests tests/classdef1_multiple.tests \
93         tests/classdef1_single.tests tests/classdef1.tests \
94         tests/classdef2_empty.tests tests/classdef2_multiple.tests \
95         tests/classdef2_single.tests tests/classdef2.tests \
96         tests/gpos_chaining1_boundary.tests \
97         tests/gpos_chaining1_lookupflag.tests \
98         tests/gpos_chaining1_multiple_subrules.tests \
99         tests/gpos_chaining1_next_glyph.tests \
100         tests/gpos_chaining1_simple.tests \
101         tests/gpos_chaining1_successive.tests \
102         tests/gpos_chaining2_boundary.tests \
103         tests/gpos_chaining2_lookupflag.tests \
104         tests/gpos_chaining2_multiple_subrules.tests \
105         tests/gpos_chaining2_next_glyph.tests \
106         tests/gpos_chaining2_simple.tests \
107         tests/gpos_chaining2_successive.tests \
108         tests/gpos_chaining3_boundary.tests \
109         tests/gpos_chaining3_lookupflag.tests \
110         tests/gpos_chaining3_next_glyph.tests \
111         tests/gpos_chaining3_simple.tests \
112         tests/gpos_chaining3_successive.tests \
113         tests/gpos_context1_boundary.tests \
114         tests/gpos_context1_expansion.tests \
115         tests/gpos_context1_lookupflag.tests \
116         tests/gpos_context1_multiple_subrules.tests \
117         tests/gpos_context1_next_glyph.tests \
118         tests/gpos_context1_simple.tests \
119         tests/gpos_context1_successive.tests \
120         tests/gpos_context2_boundary.tests \
121         tests/gpos_context2_classes.tests \
122         tests/gpos_context2_expansion.tests \
123         tests/gpos_context2_lookupflag.tests \
124         tests/gpos_context2_multiple_subrules.tests \
125         tests/gpos_context2_next_glyph.tests \
126         tests/gpos_context2_simple.tests \
127         tests/gpos_context2_successive.tests \
128         tests/gpos_context3_boundary.tests \
129         tests/gpos_context3_lookupflag.tests \
130         tests/gpos_context3_next_glyph.tests \
131         tests/gpos_context3_simple.tests \
132         tests/gpos_context3_successive.tests \
133         tests/gpos1_1_lookupflag.tests tests/gpos1_1_simple.tests \
134         tests/gpos1_2_lookupflag.tests tests/gpos1_2.tests \
135         tests/gpos2_1_lookupflag.tests tests/gpos2_1_next_glyph.tests \
136         tests/gpos2_1_simple.tests tests/gpos2_1.tests \
137         tests/gpos2_2.tests tests/gpos3_lookupflag.tests \
138         tests/gpos3.tests tests/gpos4_lookupflag.tests \
139         tests/gpos4_multiple_anchors.tests tests/gpos4_simple.tests \
140         tests/gpos5.tests tests/gpos6.tests tests/gpos7_1.tests \
141         tests/gpos9.tests tests/gsub_chaining1_boundary.tests \
142         tests/gsub_chaining1_lookupflag.tests \
143         tests/gsub_chaining1_multiple_subrules.tests \
144         tests/gsub_chaining1_next_glyph.tests \
145         tests/gsub_chaining1_simple.tests \
146         tests/gsub_chaining1_successive.tests \
147         tests/gsub_chaining2_boundary.tests \
148         tests/gsub_chaining2_lookupflag.tests \
149         tests/gsub_chaining2_multiple_subrules.tests \
150         tests/gsub_chaining2_next_glyph.tests \
151         tests/gsub_chaining2_simple.tests \
152         tests/gsub_chaining2_successive.tests \
153         tests/gsub_chaining3_boundary.tests \
154         tests/gsub_chaining3_lookupflag.tests \
155         tests/gsub_chaining3_next_glyph.tests \
156         tests/gsub_chaining3_simple.tests \
157         tests/gsub_chaining3_successive.tests \
158         tests/gsub_context1_boundary.tests \
159         tests/gsub_context1_expansion.tests \
160         tests/gsub_context1_lookupflag.tests \
161         tests/gsub_context1_multiple_subrules.tests \
162         tests/gsub_context1_next_glyph.tests \
163         tests/gsub_context1_simple.tests \
164         tests/gsub_context1_successive.tests \
165         tests/gsub_context2_boundary.tests \
166         tests/gsub_context2_classes.tests \
167         tests/gsub_context2_expansion.tests \
168         tests/gsub_context2_lookupflag.tests \
169         tests/gsub_context2_multiple_subrules.tests \
170         tests/gsub_context2_next_glyph.tests \
171         tests/gsub_context2_simple.tests \
172         tests/gsub_context2_successive.tests \
173         tests/gsub_context3_boundary.tests \
174         tests/gsub_context3_lookupflag.tests \
175         tests/gsub_context3_next_glyph.tests \
176         tests/gsub_context3_simple.tests \
177         tests/gsub_context3_successive.tests \
178         tests/gsub1_1_lookupflag.tests tests/gsub1_1_modulo.tests \
179         tests/gsub1_1_simple.tests tests/gsub1_2_lookupflag.tests \
180         tests/gsub1_2_simple.tests tests/gsub2_1_lookupflag.tests \
181         tests/gsub2_1_multiple_sequences.tests \
182         tests/gsub2_1_simple.tests tests/gsub3_1_lookupflag.tests \
183         tests/gsub3_1_multiple.tests tests/gsub3_1_simple.tests \
184         tests/gsub4_1_lookupflag.tests \
185         tests/gsub4_1_multiple_ligatures.tests \
186         tests/gsub4_1_multiple_ligsets.tests \
187         tests/gsub4_1_simple.tests tests/gsub7.tests \
188         tests/lookupflag_ignore_attach.tests \
189         tests/lookupflag_ignore_base.tests \
190         tests/lookupflag_ignore_combination.tests \
191         tests/lookupflag_ignore_ligatures.tests \
192         tests/lookupflag_ignore_marks.tests $(am__EXEEXT_1)
193 subdir = test/shaping/data/aots
194 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
195 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
196         $(top_srcdir)/m4/ax_code_coverage.m4 \
197         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
198         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
199         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
200         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
201 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
202         $(ACLOCAL_M4)
203 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
204 mkinstalldirs = $(install_sh) -d
205 CONFIG_HEADER = $(top_builddir)/config.h
206 CONFIG_CLEAN_FILES =
207 CONFIG_CLEAN_VPATH_FILES =
208 AM_V_P = $(am__v_P_@AM_V@)
209 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
210 am__v_P_0 = false
211 am__v_P_1 = :
212 AM_V_GEN = $(am__v_GEN_@AM_V@)
213 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
214 am__v_GEN_0 = @echo "  GEN     " $@;
215 am__v_GEN_1 = 
216 AM_V_at = $(am__v_at_@AM_V@)
217 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
218 am__v_at_0 = @
219 am__v_at_1 = 
220 SOURCES =
221 DIST_SOURCES =
222 am__can_run_installinfo = \
223   case $$AM_UPDATE_INFO_DIR in \
224     n|no|NO) false;; \
225     *) (install-info --version) >/dev/null 2>&1;; \
226   esac
227 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
228 am__tty_colors_dummy = \
229   mgn= red= grn= lgn= blu= brg= std=; \
230   am__color_tests=no
231 am__tty_colors = { \
232   $(am__tty_colors_dummy); \
233   if test "X$(AM_COLOR_TESTS)" = Xno; then \
234     am__color_tests=no; \
235   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
236     am__color_tests=yes; \
237   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
238     am__color_tests=yes; \
239   fi; \
240   if test $$am__color_tests = yes; then \
241     red='\e[0;31m'; \
242     grn='\e[0;32m'; \
243     lgn='\e[1;32m'; \
244     blu='\e[1;34m'; \
245     mgn='\e[0;35m'; \
246     brg='\e[1m'; \
247     std='\e[m'; \
248   fi; \
249 }
250 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
251 am__vpath_adj = case $$p in \
252     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
253     *) f=$$p;; \
254   esac;
255 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
256 am__install_max = 40
257 am__nobase_strip_setup = \
258   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
259 am__nobase_strip = \
260   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
261 am__nobase_list = $(am__nobase_strip_setup); \
262   for p in $$list; do echo "$$p $$p"; done | \
263   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
264   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
265     if (++n[$$2] == $(am__install_max)) \
266       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
267     END { for (dir in files) print dir, files[dir] }'
268 am__base_list = \
269   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
270   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
271 am__uninstall_files_from_dir = { \
272   test -z "$$files" \
273     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
274     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
275          $(am__cd) "$$dir" && rm -f $$files; }; \
276   }
277 am__recheck_rx = ^[     ]*:recheck:[    ]*
278 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
279 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
280 # A command that, given a newline-separated list of test names on the
281 # standard input, print the name of the tests that are to be re-run
282 # upon "make recheck".
283 am__list_recheck_tests = $(AWK) '{ \
284   recheck = 1; \
285   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
286     { \
287       if (rc < 0) \
288         { \
289           if ((getline line2 < ($$0 ".log")) < 0) \
290             recheck = 0; \
291           break; \
292         } \
293       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
294         { \
295           recheck = 0; \
296           break; \
297         } \
298       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
299         { \
300           break; \
301         } \
302     }; \
303   if (recheck) \
304     print $$0; \
305   close ($$0 ".trs"); \
306   close ($$0 ".log"); \
307 }'
308 # A command that, given a newline-separated list of test names on the
309 # standard input, create the global log from their .trs and .log files.
310 am__create_global_log = $(AWK) ' \
311 function fatal(msg) \
312 { \
313   print "fatal: making $@: " msg | "cat >&2"; \
314   exit 1; \
315 } \
316 function rst_section(header) \
317 { \
318   print header; \
319   len = length(header); \
320   for (i = 1; i <= len; i = i + 1) \
321     printf "="; \
322   printf "\n\n"; \
323 } \
324 { \
325   copy_in_global_log = 1; \
326   global_test_result = "RUN"; \
327   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
328     { \
329       if (rc < 0) \
330          fatal("failed to read from " $$0 ".trs"); \
331       if (line ~ /$(am__global_test_result_rx)/) \
332         { \
333           sub("$(am__global_test_result_rx)", "", line); \
334           sub("[        ]*$$", "", line); \
335           global_test_result = line; \
336         } \
337       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
338         copy_in_global_log = 0; \
339     }; \
340   if (copy_in_global_log) \
341     { \
342       rst_section(global_test_result ": " $$0); \
343       while ((rc = (getline line < ($$0 ".log"))) != 0) \
344       { \
345         if (rc < 0) \
346           fatal("failed to read from " $$0 ".log"); \
347         print line; \
348       }; \
349       printf "\n"; \
350     }; \
351   close ($$0 ".trs"); \
352   close ($$0 ".log"); \
353 }'
354 # Restructured Text title.
355 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
356 # Solaris 10 'make', and several other traditional 'make' implementations,
357 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
358 # by disabling -e (using the XSI extension "set +e") if it's set.
359 am__sh_e_setup = case $$- in *e*) set +e;; esac
360 # Default flags passed to test drivers.
361 am__common_driver_flags = \
362   --color-tests "$$am__color_tests" \
363   --enable-hard-errors "$$am__enable_hard_errors" \
364   --expect-failure "$$am__expect_failure"
365 # To be inserted before the command running the test.  Creates the
366 # directory for the log if needed.  Stores in $dir the directory
367 # containing $f, in $tst the test, in $log the log.  Executes the
368 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
369 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
370 # will run the test scripts (or their associated LOG_COMPILER, if
371 # thy have one).
372 am__check_pre = \
373 $(am__sh_e_setup);                                      \
374 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
375 $(am__tty_colors);                                      \
376 srcdir=$(srcdir); export srcdir;                        \
377 case "$@" in                                            \
378   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
379     *) am__odir=.;;                                     \
380 esac;                                                   \
381 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
382   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
383 if test -f "./$$f"; then dir=./;                        \
384 elif test -f "$$f"; then dir=;                          \
385 else dir="$(srcdir)/"; fi;                              \
386 tst=$$dir$$f; log='$@';                                 \
387 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
388   am__enable_hard_errors=no;                            \
389 else                                                    \
390   am__enable_hard_errors=yes;                           \
391 fi;                                                     \
392 case " $(XFAIL_TESTS) " in                              \
393   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
394     am__expect_failure=yes;;                            \
395   *)                                                    \
396     am__expect_failure=no;;                             \
397 esac;                                                   \
398 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
399 # A shell command to get the names of the tests scripts with any registered
400 # extension removed (i.e., equivalently, the names of the test logs, with
401 # the '.log' extension removed).  The result is saved in the shell variable
402 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
403 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
404 # since that might cause problem with VPATH rewrites for suffix-less tests.
405 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
406 am__set_TESTS_bases = \
407   bases='$(TEST_LOGS)'; \
408   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
409   bases=`echo $$bases`
410 RECHECK_LOGS = $(TEST_LOGS)
411 AM_RECURSIVE_TARGETS = check recheck
412 am__EXEEXT_1 =
413 TEST_SUITE_LOG = test-suite.log
414 am__test_logs1 = $(TESTS:=.log)
415 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
416 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
417 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
418 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
419         $(TESTS_LOG_FLAGS)
420 am__set_b = \
421   case '$@' in \
422     */*) \
423       case '$*' in \
424         */*) b='$*';; \
425           *) b=`echo '$@' | sed 's/\.log$$//'`; \
426        esac;; \
427     *) \
428       b='$*';; \
429   esac
430 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
431         $(top_srcdir)/test-driver COPYING
432 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
433 ACLOCAL = @ACLOCAL@
434 AMTAR = @AMTAR@
435 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
436 AR = @AR@
437 AUTOCONF = @AUTOCONF@
438 AUTOHEADER = @AUTOHEADER@
439 AUTOMAKE = @AUTOMAKE@
440 AWK = @AWK@
441 CAIRO_CFLAGS = @CAIRO_CFLAGS@
442 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
443 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
444 CAIRO_LIBS = @CAIRO_LIBS@
445 CC = @CC@
446 CCDEPMODE = @CCDEPMODE@
447 CFLAGS = @CFLAGS@
448 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
449 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
450 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
451 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
452 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
453 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
454 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
455 CORETEXT_LIBS = @CORETEXT_LIBS@
456 CPP = @CPP@
457 CPPFLAGS = @CPPFLAGS@
458 CXX = @CXX@
459 CXXCPP = @CXXCPP@
460 CXXDEPMODE = @CXXDEPMODE@
461 CXXFLAGS = @CXXFLAGS@
462 CYGPATH_W = @CYGPATH_W@
463 DEFS = @DEFS@
464 DEPDIR = @DEPDIR@
465 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
466 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
467 DLLTOOL = @DLLTOOL@
468 DSYMUTIL = @DSYMUTIL@
469 DUMPBIN = @DUMPBIN@
470 ECHO_C = @ECHO_C@
471 ECHO_N = @ECHO_N@
472 ECHO_T = @ECHO_T@
473 EGREP = @EGREP@
474 EXEEXT = @EXEEXT@
475 FGREP = @FGREP@
476 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
477 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
478 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
479 FREETYPE_DEPS = @FREETYPE_DEPS@
480 FREETYPE_LIBS = @FREETYPE_LIBS@
481 GCOV = @GCOV@
482 GENHTML = @GENHTML@
483 GIT = @GIT@
484 GLIB_CFLAGS = @GLIB_CFLAGS@
485 GLIB_DEPS = @GLIB_DEPS@
486 GLIB_LIBS = @GLIB_LIBS@
487 GLIB_MKENUMS = @GLIB_MKENUMS@
488 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
489 GOBJECT_LIBS = @GOBJECT_LIBS@
490 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
491 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
492 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
493 GREP = @GREP@
494 GTKDOC_CHECK = @GTKDOC_CHECK@
495 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
496 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
497 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
498 GTKDOC_MKPDF = @GTKDOC_MKPDF@
499 GTKDOC_REBASE = @GTKDOC_REBASE@
500 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
501 HB_VERSION = @HB_VERSION@
502 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
503 HB_VERSION_MICRO = @HB_VERSION_MICRO@
504 HB_VERSION_MINOR = @HB_VERSION_MINOR@
505 HTML_DIR = @HTML_DIR@
506 ICU_CFLAGS = @ICU_CFLAGS@
507 ICU_CONFIG = @ICU_CONFIG@
508 ICU_LIBS = @ICU_LIBS@
509 INSTALL = @INSTALL@
510 INSTALL_DATA = @INSTALL_DATA@
511 INSTALL_PROGRAM = @INSTALL_PROGRAM@
512 INSTALL_SCRIPT = @INSTALL_SCRIPT@
513 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
514 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
515 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
516 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
517 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
518 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
519 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
520 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
521 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
522 LCOV = @LCOV@
523 LD = @LD@
524 LDFLAGS = @LDFLAGS@
525 LIBOBJS = @LIBOBJS@
526 LIBS = @LIBS@
527 LIBTOOL = @LIBTOOL@
528 LIPO = @LIPO@
529 LN_S = @LN_S@
530 LTLIBOBJS = @LTLIBOBJS@
531 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
532 MAKEINFO = @MAKEINFO@
533 MANIFEST_TOOL = @MANIFEST_TOOL@
534 MKDIR_P = @MKDIR_P@
535 NM = @NM@
536 NMEDIT = @NMEDIT@
537 OBJDUMP = @OBJDUMP@
538 OBJEXT = @OBJEXT@
539 OTOOL = @OTOOL@
540 OTOOL64 = @OTOOL64@
541 PACKAGE = @PACKAGE@
542 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
543 PACKAGE_NAME = @PACKAGE_NAME@
544 PACKAGE_STRING = @PACKAGE_STRING@
545 PACKAGE_TARNAME = @PACKAGE_TARNAME@
546 PACKAGE_URL = @PACKAGE_URL@
547 PACKAGE_VERSION = @PACKAGE_VERSION@
548 PATH_SEPARATOR = @PATH_SEPARATOR@
549 PKG_CONFIG = @PKG_CONFIG@
550 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
551 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
552 PTHREAD_CC = @PTHREAD_CC@
553 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
554 PTHREAD_LIBS = @PTHREAD_LIBS@
555 RAGEL = @RAGEL@
556 RANLIB = @RANLIB@
557 SED = @SED@
558 SET_MAKE = @SET_MAKE@
559 SHELL = @SHELL@
560 STRIP = @STRIP@
561 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
562 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
563 VERSION = @VERSION@
564 abs_builddir = @abs_builddir@
565 abs_srcdir = @abs_srcdir@
566 abs_top_builddir = @abs_top_builddir@
567 abs_top_srcdir = @abs_top_srcdir@
568 ac_ct_AR = @ac_ct_AR@
569 ac_ct_CC = @ac_ct_CC@
570 ac_ct_CXX = @ac_ct_CXX@
571 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
572 am__include = @am__include@
573 am__leading_dot = @am__leading_dot@
574 am__quote = @am__quote@
575 am__tar = @am__tar@
576 am__untar = @am__untar@
577 ax_pthread_config = @ax_pthread_config@
578 bindir = @bindir@
579 build = @build@
580 build_alias = @build_alias@
581 build_cpu = @build_cpu@
582 build_os = @build_os@
583 build_vendor = @build_vendor@
584 builddir = @builddir@
585 datadir = @datadir@
586 datarootdir = @datarootdir@
587 docdir = @docdir@
588 dvidir = @dvidir@
589 exec_prefix = @exec_prefix@
590 have_gobject = @have_gobject@
591 host = @host@
592 host_alias = @host_alias@
593 host_cpu = @host_cpu@
594 host_os = @host_os@
595 host_vendor = @host_vendor@
596 htmldir = @htmldir@
597 includedir = @includedir@
598 infodir = @infodir@
599 install_sh = @install_sh@
600 libdir = @libdir@
601 libexecdir = @libexecdir@
602 localedir = @localedir@
603 localstatedir = @localstatedir@
604 mandir = @mandir@
605 mkdir_p = @mkdir_p@
606 oldincludedir = @oldincludedir@
607 pdfdir = @pdfdir@
608 prefix = @prefix@
609 program_transform_name = @program_transform_name@
610 psdir = @psdir@
611 runstatedir = @runstatedir@
612 sbindir = @sbindir@
613 sharedstatedir = @sharedstatedir@
614 srcdir = @srcdir@
615 sysconfdir = @sysconfdir@
616 target_alias = @target_alias@
617 top_build_prefix = @top_build_prefix@
618 top_builddir = @top_builddir@
619 top_srcdir = @top_srcdir@
620 NULL = 
621 EXTRA_DIST = \
622         COPYING \
623         fonts \
624         $(TESTS) \
625         $(NULL)
626
627 TEST_EXTENSIONS = .tests
628 TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
629 DISABLED_TESTS = \
630         $(NULL)
631
632 all: all-am
633
634 .SUFFIXES:
635 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
636 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
637         @for dep in $?; do \
638           case '$(am__configure_deps)' in \
639             *$$dep*) \
640               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
641                 && { if test -f $@; then exit 0; else break; fi; }; \
642               exit 1;; \
643           esac; \
644         done; \
645         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/data/aots/Makefile'; \
646         $(am__cd) $(top_srcdir) && \
647           $(AUTOMAKE) --gnits test/shaping/data/aots/Makefile
648 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
649         @case '$?' in \
650           *config.status*) \
651             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
652           *) \
653             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
654             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
655         esac;
656 $(srcdir)/Makefile.sources $(am__empty):
657
658 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
659         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
660
661 $(top_srcdir)/configure:  $(am__configure_deps)
662         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
663 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
664         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
665 $(am__aclocal_m4_deps):
666
667 mostlyclean-libtool:
668         -rm -f *.lo
669
670 clean-libtool:
671         -rm -rf .libs _libs
672 tags TAGS:
673
674 ctags CTAGS:
675
676 cscope cscopelist:
677
678
679 # Recover from deleted '.trs' file; this should ensure that
680 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
681 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
682 # to avoid problems with "make -n".
683 .log.trs:
684         rm -f $< $@
685         $(MAKE) $(AM_MAKEFLAGS) $<
686
687 # Leading 'am--fnord' is there to ensure the list of targets does not
688 # expand to empty, as could happen e.g. with make check TESTS=''.
689 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
690 am--force-recheck:
691         @:
692
693 $(TEST_SUITE_LOG): $(TEST_LOGS)
694         @$(am__set_TESTS_bases); \
695         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
696         redo_bases=`for i in $$bases; do \
697                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
698                     done`; \
699         if test -n "$$redo_bases"; then \
700           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
701           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
702           if $(am__make_dryrun); then :; else \
703             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
704           fi; \
705         fi; \
706         if test -n "$$am__remaking_logs"; then \
707           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
708                "recursion detected" >&2; \
709         elif test -n "$$redo_logs"; then \
710           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
711         fi; \
712         if $(am__make_dryrun); then :; else \
713           st=0;  \
714           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
715           for i in $$redo_bases; do \
716             test -f $$i.trs && test -r $$i.trs \
717               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
718             test -f $$i.log && test -r $$i.log \
719               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
720           done; \
721           test $$st -eq 0 || exit 1; \
722         fi
723         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
724         ws='[   ]'; \
725         results=`for b in $$bases; do echo $$b.trs; done`; \
726         test -n "$$results" || results=/dev/null; \
727         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
728         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
729         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
730         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
731         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
732         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
733         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
734         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
735           success=true; \
736         else \
737           success=false; \
738         fi; \
739         br='==================='; br=$$br$$br$$br$$br; \
740         result_count () \
741         { \
742             if test x"$$1" = x"--maybe-color"; then \
743               maybe_colorize=yes; \
744             elif test x"$$1" = x"--no-color"; then \
745               maybe_colorize=no; \
746             else \
747               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
748             fi; \
749             shift; \
750             desc=$$1 count=$$2; \
751             if test $$maybe_colorize = yes && test $$count -gt 0; then \
752               color_start=$$3 color_end=$$std; \
753             else \
754               color_start= color_end=; \
755             fi; \
756             echo "$${color_start}# $$desc $$count$${color_end}"; \
757         }; \
758         create_testsuite_report () \
759         { \
760           result_count $$1 "TOTAL:" $$all   "$$brg"; \
761           result_count $$1 "PASS: " $$pass  "$$grn"; \
762           result_count $$1 "SKIP: " $$skip  "$$blu"; \
763           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
764           result_count $$1 "FAIL: " $$fail  "$$red"; \
765           result_count $$1 "XPASS:" $$xpass "$$red"; \
766           result_count $$1 "ERROR:" $$error "$$mgn"; \
767         }; \
768         {                                                               \
769           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
770             $(am__rst_title);                                           \
771           create_testsuite_report --no-color;                           \
772           echo;                                                         \
773           echo ".. contents:: :depth: 2";                               \
774           echo;                                                         \
775           for b in $$bases; do echo $$b; done                           \
776             | $(am__create_global_log);                                 \
777         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
778         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
779         if $$success; then                                              \
780           col="$$grn";                                                  \
781          else                                                           \
782           col="$$red";                                                  \
783           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
784         fi;                                                             \
785         echo "$${col}$$br$${std}";                                      \
786         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
787         echo "$${col}$$br$${std}";                                      \
788         create_testsuite_report --maybe-color;                          \
789         echo "$$col$$br$$std";                                          \
790         if $$success; then :; else                                      \
791           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
792           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
793             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
794           fi;                                                           \
795           echo "$$col$$br$$std";                                        \
796         fi;                                                             \
797         $$success || exit 1
798
799 check-TESTS:
800         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
801         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
802         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
803         @set +e; $(am__set_TESTS_bases); \
804         log_list=`for i in $$bases; do echo $$i.log; done`; \
805         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
806         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
807         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
808         exit $$?;
809 recheck: all 
810         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
811         @set +e; $(am__set_TESTS_bases); \
812         bases=`for i in $$bases; do echo $$i; done \
813                  | $(am__list_recheck_tests)` || exit 1; \
814         log_list=`for i in $$bases; do echo $$i.log; done`; \
815         log_list=`echo $$log_list`; \
816         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
817                 am__force_recheck=am--force-recheck \
818                 TEST_LOGS="$$log_list"; \
819         exit $$?
820 .tests.log:
821         @p='$<'; \
822         $(am__set_b); \
823         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
824         --log-file $$b.log --trs-file $$b.trs \
825         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
826         "$$tst" $(AM_TESTS_FD_REDIRECT)
827 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
828 @am__EXEEXT_TRUE@       @p='$<'; \
829 @am__EXEEXT_TRUE@       $(am__set_b); \
830 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
831 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
832 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
833 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
834
835 distdir: $(DISTFILES)
836         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
837         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
838         list='$(DISTFILES)'; \
839           dist_files=`for file in $$list; do echo $$file; done | \
840           sed -e "s|^$$srcdirstrip/||;t" \
841               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
842         case $$dist_files in \
843           */*) $(MKDIR_P) `echo "$$dist_files" | \
844                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
845                            sort -u` ;; \
846         esac; \
847         for file in $$dist_files; do \
848           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
849           if test -d $$d/$$file; then \
850             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
851             if test -d "$(distdir)/$$file"; then \
852               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
853             fi; \
854             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
855               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
856               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
857             fi; \
858             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
859           else \
860             test -f "$(distdir)/$$file" \
861             || cp -p $$d/$$file "$(distdir)/$$file" \
862             || exit 1; \
863           fi; \
864         done
865 check-am: all-am
866         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
867 check: check-am
868 all-am: Makefile
869 installdirs:
870 install: install-am
871 install-exec: install-exec-am
872 install-data: install-data-am
873 uninstall: uninstall-am
874
875 install-am: all-am
876         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
877
878 installcheck: installcheck-am
879 install-strip:
880         if test -z '$(STRIP)'; then \
881           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
882             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
883               install; \
884         else \
885           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
886             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
887             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
888         fi
889 mostlyclean-generic:
890         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
891         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
892         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
893
894 clean-generic:
895
896 distclean-generic:
897         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
898         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
899
900 maintainer-clean-generic:
901         @echo "This command is intended for maintainers to use"
902         @echo "it deletes files that may require special tools to rebuild."
903 clean: clean-am
904
905 clean-am: clean-generic clean-libtool mostlyclean-am
906
907 distclean: distclean-am
908         -rm -f Makefile
909 distclean-am: clean-am distclean-generic
910
911 dvi: dvi-am
912
913 dvi-am:
914
915 html: html-am
916
917 html-am:
918
919 info: info-am
920
921 info-am:
922
923 install-data-am:
924
925 install-dvi: install-dvi-am
926
927 install-dvi-am:
928
929 install-exec-am:
930
931 install-html: install-html-am
932
933 install-html-am:
934
935 install-info: install-info-am
936
937 install-info-am:
938
939 install-man:
940
941 install-pdf: install-pdf-am
942
943 install-pdf-am:
944
945 install-ps: install-ps-am
946
947 install-ps-am:
948
949 installcheck-am:
950
951 maintainer-clean: maintainer-clean-am
952         -rm -f Makefile
953 maintainer-clean-am: distclean-am maintainer-clean-generic
954
955 mostlyclean: mostlyclean-am
956
957 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
958
959 pdf: pdf-am
960
961 pdf-am:
962
963 ps: ps-am
964
965 ps-am:
966
967 uninstall-am:
968
969 .MAKE: check-am install-am install-strip
970
971 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
972         clean-libtool cscopelist-am ctags-am distclean \
973         distclean-generic distclean-libtool distdir dvi dvi-am html \
974         html-am info info-am install install-am install-data \
975         install-data-am install-dvi install-dvi-am install-exec \
976         install-exec-am install-html install-html-am install-info \
977         install-info-am install-man install-pdf install-pdf-am \
978         install-ps install-ps-am install-strip installcheck \
979         installcheck-am installdirs maintainer-clean \
980         maintainer-clean-generic mostlyclean mostlyclean-generic \
981         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
982         uninstall uninstall-am
983
984 .PRECIOUS: Makefile
985
986
987 # Convenience targets:
988 lib:
989         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
990
991 init-aots:
992         git clone https://github.com/adobe-type-tools/aots $(srcdir)/aots
993         make -C$(srcdir)/aots
994         make -C$(srcdir)/aots/harfbuzz
995         touch $(srcdir)/init-aots
996
997 update-tests: init-aots lib
998         cp $(srcdir)/hb-aots-tester.cpp $(srcdir)/aots/harfbuzz/hb-aots-tester.cpp
999         $(CXX) -Wno-narrowing $(srcdir)/aots/harfbuzz/hb-aots-tester.cpp \
1000                 -I$(top_srcdir)/src/ -o $(srcdir)/aots/harfbuzz/aots \
1001                 -L$(top_builddir)/src/.libs -lharfbuzz
1002         rm -rf $(srcdir)/tests/
1003         mkdir $(srcdir)/tests/
1004         export LD_LIBRARY_PATH=$(realpath $(top_builddir)/src/.libs); cd $(srcdir)/aots/harfbuzz; ./aots
1005
1006 .PHONY: update-tests
1007
1008 -include $(top_srcdir)/git.mk
1009
1010 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1011 # Otherwise a system limit (for SysV at least) may be exceeded.
1012 .NOEXPORT: